# Return cPanel account's mailbox status

This function lists the account's mailbox size and globally unique identifier (GUID) by folder.

Endpoint: GET /Mailboxes/get_mailbox_status_list
Version: 11.136.0.19
Security: BasicAuth

## Query parameters:

  - `account` (string, required)
    The email account for which you you wish to request the status.
    Example: "user@example.com"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "get_mailbox_status_list"

  - `module` (string)
    The name of the module called.
    Example: "Mailboxes"

  - `result` (object)

  - `result.data` (array)
    Example: [{"guid":"1234560f0c58d158c92a000044f0d230","mailbox":"INBOX.marla_singer@example_com","messages":0,"vsize":0},{"guid":"11234560f0c58d158c92a000044f0d23","mailbox":"INBOX.angel_face@example_com","messages":0,"vsize":0},{"guid":"111234560f0c58d158c92a000044f0d2","mailbox":"INBOX.tyler_durden@example_com","messages":0,"vsize":0},{"guid":"1111234560f0c58d158c92a000044f0d","mailbox":"INBOX.Trash","messages":0,"vsize":0},{"guid":"11111234560f0c58d158c92a000044f0","mailbox":"INBOX.narrator@example_com","messages":0,"vsize":0},{"guid":"111111234560f0c58d158c92a000044f","mailbox":"INBOX","messages":0,"vsize":0},{"guid":"1111111234560f0c58d158c92a000004","mailbox":"INBOX.Sent","messages":0,"vsize":0},{"guid":"11111111234560f0c58d158c92a00000","mailbox":"INBOX.Drafts","messages":0,"vsize":0},{"guid":"111111111234560f0c58d158c92a0000","mailbox":"INBOX.robert_paulsen@example_com","messages":0,"vsize":0}]

  - `result.data.guid` (string)
    The mailbox GUID.
    Example: "1234560f0c58d158c92a000044f0d230"

  - `result.data.mailbox` (string)
    The mailbox name.
    Example: "INBOX.marla_singer@example_com"

  - `result.data.messages` (integer)
    The number of messages in the folder.
    Example: 410

  - `result.data.vsize` (integer)
    The size of the folder, in bytes.
    Example: 1052299

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


